For the complete documentation index, see llms.txt. This page is also available as Markdown.

Merge contact

Use this endpoint to merge two or more contacts. The secondary contacts (mergeIds) will be merged onto the primary contact (primary_contact_id). Merge data includes conversation, chats, notes, views, etc. The primary contact ID in the endpoint URL (primary_contact_id) is required. Place the secondary_contact_ids in the request body.

Contact Ids can be found by going to the Acquire platform and hovering over a contact's name in Contact List or by using the endpoint GET All Contacts.

If a secondary merge's contact details are different from the primary contact details, both contact details will be preserved on the primary contact profile. For example, if a secondary merge contact has an email that differs from their primary email, both emails will be preserved on the primary contact profile after the merge.

Merge Contact

POST https://{{account_id}}.acquire.io/api/v1/crm/contact/merge/{{contactId}}

Path Parameters

Name
Type
Description

contactId*

integer

ID of the contact

Headers

Name
Type
Description

Authorization*

string

Bearer {{API_KEY}}

Request Body

Name
Type
Description

soureIds*

integer

ID of the contact you want to merge

{
    "data": {
        "id": 83,
        "message": "#78 contact timeline's merged with #83 successfully."
    }
}

Body(raw)

Last updated